// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SheepCarcassWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SheepCarcassWAddonDeed();
			}
		}

		[ Constructable ]
		public SheepCarcassWAddon()
		{
			AddComponent( new AddonComponent( 6260 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 6260 );
			AddComponent( ac, 0, 0, 0 );

		}

		public SheepCarcassWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SheepCarcassWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SheepCarcassWAddon();
			}
		}

		[Constructable]
		public SheepCarcassWAddonDeed()
		{
			Name = "SheepCarcassW";
		}

		public SheepCarcassWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}